<div>
	<!-- Start of breadcrumb -->
	<!--
	<div class="breadcrumb">
		<nz-breadcrumb>
			<nz-breadcrumb-item>
				<a routerLink="/home">Home</a>
			</nz-breadcrumb-item>
			<nz-breadcrumb-item>
				<span>Users</span>
			</nz-breadcrumb-item>
			<nz-breadcrumb-item>
				<span>List</span>
			</nz-breadcrumb-item>
		</nz-breadcrumb>
	</div>
	-->
	<!-- End of breadcrumb -->
	<nz-table
		#usersListTable 
		[nzData]="usersList"
		[nzLoading]="isLoading"
		[nzFooter]="footer">
		<thead>
			<tr>
				<th>Name</th>
				<th>Roles</th>
				<th nzWidth="100px">Action</th>
			</tr>
		</thead>
		<tbody>
			<tr *ngFor="let user of usersListTable.data">
				<td>{{ user.discordInfo.username }}</td>
				<td>
					<nz-tag 
						nzColor="default"
						nz-popover 
						nzPopoverPlacement="left"
						[nzPopoverContent]="rolesList">
						+{{ (user.discordInfo.roles && user.discordInfo.roles.length) ? user.discordInfo.roles.length : "No roles" }}
					</nz-tag>
					<ng-template #rolesList>
						<div 
							fxLayout="column"
							fxLayoutGap="10px">
							<nz-tag 
								*ngFor="let role of user.discordInfo.roles"
								nzColor="default">
								{{ role }}
							</nz-tag>
						</div>
					</ng-template>
				</td>
				<td 
					fxLayout="row"
					fxLayoutAlign="space-between center">
					<a 
						nz-tooltip
						nzTooltipTitle="Edit" 
						nzTooltipPlacement="top"
						(click)="edit(user.id)">
						<i 
							nz-icon 
							nzType="mdi:pencil">
						</i>
					</a>
					<nz-divider nzType="vertical"></nz-divider>
					<a 
						nz-tooltip
						nzTooltipTitle="Delete" 
						nzTooltipPlacement="top"
						nz-popconfirm
						nzPopconfirmPlacement="top"
						nzPopconfirmTitle="Are you sure delete this task?"
						(nzOnConfirm)="onDeleteConfirm(user.id)"
						(nzOnCancel)="onDeleteCancel()">
						<i 
							nz-icon 
							nzType="mdi:delete">
						</i>
					</a>
				</td>
			</tr>
		</tbody>
	</nz-table>
</div>

<!-- Custom nz-table footer-->
<ng-template #footer>
	<div 
		class="header-cont"
		fxLayout="row"
		fxLayoutAlign="space-between center">
		<a 
			nz-tooltip
			nzTooltipTitle="New User" 
			nzTooltipPlacement="top"
			nz-button 
			nzType="link"
			(click)="new()">
			<i 
				nz-icon 
				nzType="mdi:account-plus">
			</i>
		</a>
		<a 
			nz-tooltip
			nzTooltipTitle="Refresh" 
			nzTooltipPlacement="top"
			nz-button 
			nzType="link"
			(click)="refreshList()">
			<i 
				nz-icon 
				nzType="mdi:refresh">
			</i>
		</a>
	</div>
</ng-template>


<!-- Modal Component -->
<edit-user
	*ngIf="modalData.userId !== ''"
	[setData]="modalData"
	(onModalClosed)="ModalClosedHandler($event)">
</edit-user>